<template>
  <a @click="changeStatus()" v-if="field==='status' && row[field]===1">
    <span :style="style">{{row[column]}}</span>
  </a>
  <span :style="style" v-else>{{row[column]}}</span>
</template>
<script setup>
  import { useStore } from '@/stores/index'
  const store = useStore()
  const emit = defineEmits(["clickevent"])
  const props = defineProps({
    row: Object,
    field: String,
    column: String,
    param: String,
    pagname: String
  })
  const params = store[props.param]
  const found = params.find(v=>props.row[props.field]===v.id)
  const style = found? `color:${found.color}` : undefined
  function changeStatus() {
    emit('clickevent', {name: 'dataevent', data: {modal: {title: store.lang==='vi'? 'Từ chối đơn vay' : 'Reject application', 
    height: '320px', width: '50%', component: 'application/RejectApp', vbind: {row: props.row, pagname: props.pagname}}}})
  }
</script>